Bug 83371 - UI: ACCESSIBILITY: cannot navigate to list Files in LibreOffice dialogs
Summary: UI: ACCESSIBILITY: cannot navigate to list Files in LibreOffice dialogs
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: framework (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Szymon Kłos
URL:
Whiteboard: target:4.5.0 target:4.4.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks: LO-File-Dialog
  Show dependency treegraph
 
Reported: 2014-09-01 20:21 UTC by Cor Nouws
Modified: 2015-12-17 08:34 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Cor Nouws 2014-09-01 20:21:15 UTC
Set to use LibreOffice dialogs via Tools > Options > General

File Open
Focus is on Address field.
One cannot go to the list Files with e.g. Tab

Is OK in 4.3.x and before
Comment 1 Buovjaga 2014-11-09 19:20:39 UTC
Confirmed.

Win 7 64-bit Version: 4.4.0.0.alpha2+
Build ID: 9229170920ab770624415c4330da57af5b1b5398
TinderBox: Win-x86@39, Branch:master, Time: 2014-11-09_03:16:43
Comment 2 Rostislav 'R.Yu.' Okulov 2014-12-30 13:27:49 UTC
Confirmed -> Regression
Comment 3 Rostislav 'R.Yu.' Okulov 2014-12-30 13:32:17 UTC
git bisect log
git bisect start
# bad: [0777cd085a7633a48e03d25948cc67fce87b7ac7] source-hash-b800d0b6ad74ce4a9adb23b865dd174d1eefa47b
git bisect bad 0777cd085a7633a48e03d25948cc67fce87b7ac7
# good: [812c4a492375ac47b3557fbb32f5637fc89d60d9] source-hash-dea4a3b9d7182700abeb4dc756a24a9e8dea8474
git bisect good 812c4a492375ac47b3557fbb32f5637fc89d60d9
# bad: [8677ba6e74a774fb44ec7831f14e53d8663f59ed] source-hash-eb213e490d9a366477b921d1a408d85c4638499e
git bisect bad 8677ba6e74a774fb44ec7831f14e53d8663f59ed
# bad: [42455e7bcd46db5523f7f8e1931bbd0bd4b51cfc] source-hash-b5608fd429790a3d1153341b2c86303b7090b15a
git bisect bad 42455e7bcd46db5523f7f8e1931bbd0bd4b51cfc
# good: [253e662b25e57508dbc46753f0f28af36d5f4e25] source-hash-f7d51f43deda5e28df63f1b8e168e84838d0d0b4
git bisect good 253e662b25e57508dbc46753f0f28af36d5f4e25
# good: [8461c942c2060278f64283368705e0183709c4d7] source-hash-c7d390bf21623c148ff5c3955561b903d9581da8
git bisect good 8461c942c2060278f64283368705e0183709c4d7
# good: [14dd07abf36b67545552130557c06b3ae1855ff0] source-hash-67c20d42b5ca06458b154356877f4ad5952736f4
git bisect good 14dd07abf36b67545552130557c06b3ae1855ff0
# bad: [db39c7aad664b60c46f31289f79b3b58b0800a1d] source-hash-a7e1ffc248bed431693c6d50c02e7c936c67f360
git bisect bad db39c7aad664b60c46f31289f79b3b58b0800a1d
# bad: [afdb28caf97495cd3696588a4ee78647745ed6e7] source-hash-0d55277947fbc2f92fb9fe40dcfa804dc619c37a
git bisect bad afdb28caf97495cd3696588a4ee78647745ed6e7
# bad: [30a457695d2ddf0d72df627a1ab6afae53053344] source-hash-f90eb33a268bdcd1c52aea5670a58267b0907096
git bisect bad 30a457695d2ddf0d72df627a1ab6afae53053344
# first bad commit: [30a457695d2ddf0d72df627a1ab6afae53053344] source-hash-f90eb33a268bdcd1c52aea5670a58267b0907096

30a457695d2ddf0d72df627a1ab6afae53053344 is the first bad commit
commit 30a457695d2ddf0d72df627a1ab6afae53053344
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Sat Oct 18 06:20:45 2014 +0000

    source-hash-f90eb33a268bdcd1c52aea5670a58267b0907096
    
    commit f90eb33a268bdcd1c52aea5670a58267b0907096
    Author:     Szymon Kłos <eszkadev@gmail.com>
    AuthorDate: Sat Jun 28 16:10:39 2014 +0200
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Mon Jun 30 16:31:47 2014 +0100
    
        DLG_FPICKER_EXPLORERFILE conversion to .ui
    
        Change-Id: I5d8f5d0182fb6af5111b60caa29912d313c2efa0

:100644 100644 e474bf6d4a2f74d722eb7d299871ce89e8d39bec dc29c7eb94675462ed8870d67c1852c5750fb5f5 M      autogen.log
:100644 100644 4d620ccf26f70ee9de7f37b299e5aa6f33773f5c 9175649a432c48063d0a6677bbcf98bec57b120d M      ccache.log
:100644 100644 972e561a774b722c3d995550a34482da00fa41a2 ec7186e7691e26fc8b8f65886cec7b1e99444780 M      commitmsg
:100644 100644 416d41f246963775c8763f27b69ad9ec81266fc0 0a031d6808382f09f1cbd8933e8590fcf3c3a99b M      make.log
:040000 040000 4ce3752cd72bfb66587459b923fad5c02937040d 413fdc559df56dbb0be9fa4d204aee4763757c07 M      opt
Comment 4 Szymon Kłos 2014-12-30 18:23:48 UTC
I submitted the patch which fixes this bug:
https://gerrit.libreoffice.org/#/c/13704/
Comment 5 Commit Notification 2015-01-05 09:59:26 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=68e0fb7bc4d56facc478a8cfb912e8e04d239e76

fdo#83371 : cannot navigate to list Files in LibreOffice dialogs

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Cor Nouws 2015-01-05 19:27:59 UTC
thanks a lot, Szymon!
Comment 7 Cor Nouws 2015-02-19 15:37:38 UTC
@Szymon
Could you pls push this to the 4.4 branch too?

Cheers,
Cor
Comment 8 Szymon Kłos 2015-02-21 16:08:22 UTC
Pushed
Comment 9 Commit Notification 2015-02-26 12:57:10 UTC
Szymon Kłos committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f26528f0a7b706e7e2bd2d68eaa071ba45a8a1f5&h=libreoffice-4-4

fdo#83371 : cannot navigate to list Files in LibreOffice dialogs

It will be available in 4.4.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Robinson Tryon (qubit) 2015-12-17 08:34:48 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]